<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\TeacherClassModel;

class TeacherClassModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(TeacherClassModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(TeacherClassModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(TeacherClassModel::class);
    }
}
